/**
 * 이 파일은 자동으로 번들링된 파일입니다.
 *
 * @file admins.css
 * @cached 2026-05-21T15:07:31+09:00 (0.00413299ms)
 */
/* /app/admin/styles/Admin.css */
aui-component[data-type='panel'][data-variant='grid'][data-name='sites'] {
    div[data-role='row'] {
        div.column {
            div.view {
                display: flex;
                flex-direction: row;
                gap: 4px;
                b.language,
                b.level {
                    display: block;
                    height: 20px;
                    width: 20px;
                    text-align: center;
                    border-radius: 3px;
                    color: #fff;
                    background: #607d8b;
                    text-transform: uppercase;
                    font-size: 0.6rem;
                }
            }
        }
    }
}
aui-component[data-type='panel'][data-variant='tree'][data-name='contexts'] {
    div[data-role='row'] {
        div.column {
            div.view {
                display: flex;
                flex-direction: row;
                gap: 4px;
                i.icon {
                    margin-right: 5px;
                }
            }
        }
    }
}

/* /modules/member/admin/styles/Admin.css */
aui-component[data-name='lists'] {
    aui-component[data-type='panel'][data-variant='grid'] {
        div[data-role='row'] {
            div.column {
                div.view:has(> i.photo) {
                    line-height: 1rem;
                    > i.photo {
                        display: inline-block;
                        width: 24px;
                        height: 24px;
                        margin-top: -0.25rem;
                        margin-bottom: -0.25rem;
                        margin-right: 5px;
                        vertical-align: top;
                        border-radius: 50%;
                        border: 1px solid #ccc;
                        background-size: contain;
                        background-repeat: no-repeat;
                        background-position: 50% 50%;
                    }
                }
            }
        }
    }
}

/* /modules/naddle/client/admin/styles/Admin.css */
aui-component[data-name='contacts'] {
    aui-component[data-type='panel'][data-variant='grid'] {
        div[data-role='row'] {
            div.column {
                div.view {
                    > div.types {
                        display: flex;
                        flex-direction: row;
                        gap: 4px;
                        > label {
                            display: block;
                            height: 20px;
                            width: 20px;
                            text-align: center;
                            border-radius: 3px;
                            color: #fff;
                            font-weight: 900;
                            &.G {
                                background: #4caf50;
                            }
                            &.C {
                                background: #2196f3;
                            }
                            &.P {
                                background: #ff9800;
                            }
                            &.T {
                                background: #9c27b0;
                            }
                            &.I {
                                background: #607d8b;
                            }
                            &.O {
                                background: #ffc107;
                            }
                            &.E {
                                background: #e91e63;
                            }
                        }
                    }
                    > i.icon {
                        display: inline-block;
                        margin-right: var(--aui-component-gap);
                        vertical-align: top;
                        font-size: var(--aui-font-size-default);
                        font-style: normal;
                        font-weight: 400;
                        display: inline-block;
                        background-size: contain;
                        background-repeat: no-repeat;
                        background-position: 50% 50%;
                        text-align: center;
                        box-sizing: border-box;
                        background-clip: padding-box;
                        height: 1lh;
                        aspect-ratio: 1;
                        vertical-align: top;
                    }
                }
            }
        }
    }
}

/* /modules/naddle/contract/admin/styles/Admin.css */

/* /modules/naddle/desk/admin/styles/Admin.css */
:root {
    --desk-history-icon: var(--aui-component-height-default);
    --desk-history-icon-gap: var(--aui-component-padding);
    --desk-history-padding: var(--aui-component-padding);
    --desk-history-gap: var(--aui-component-gap);
    --desk-history-block-height: var(--aui-component-height-default);
    --desk-history-line-color: var(--aui-border-primary);
    --desk-history-accent-color: var(--aui-accent-primary);
    --desk-history-accent-backward: var(--aui-white-primary);
    --desk-history-background-primary: var(--aui-color-bg-primary);
    --desk-history-background-secondary: var(--aui-fill-quaternary-alpha);
    --desk-history-danger-color: var(--aui-danger-primary);
    --desk-history-danger-hover-color: var(--aui-danger-secondary);
    --desk-history-begining-color: var(--aui-beginning-primary);
    --desk-history-public-color: var(--aui-mark-primary);
    --desk-history-text-primary: var(--aui-text-secondary);
    --desk-history-text-secondary: var(--aui-text-tertiary);
    --desk-font-size-primary: var(--aui-font-size-default);
    --desk-font-size-secondary: var(--aui-font-size-small);
    --desk-issue-status-done-background-color: #e3f2fd;
    --desk-issue-status-done-color: #2196f3;
    --desk-issue-status-completed-background-color: #c8e6c9;
    --desk-issue-status-completed-color: var(--aui-text-primary-alpha);
    --desk-issue-response-color: #b2dfdb;
    --desk-issue-response-deep-color: #26a69a;
    --desk-issue-request-color: #ffccbc;
    --desk-issue-request-deep-color: #ff7043;
    &[data-color-scheme='dark'],
    &[data-color-scheme='auto'][data-prefers-color-scheme='dark'] {
        --desk-issue-status-done-background-color: #8bc8f5;
        --desk-issue-status-done-color: #034271;
        --desk-issue-status-completed-background-color: #90d892;
        --desk-issue-status-completed-color: var(--aui-fill-primary);
        --desk-issue-response-color: #00695c;
        --desk-issue-response-deep-color: #004d40;
        --desk-issue-request-color: #b84700;
        --desk-issue-request-deep-color: #a73300;
    }
}
aui-component[data-name='issues'] {
    aui-component[data-type='panel'][data-variant='grid'] {
        div[data-role='row'] {
            div.column {
                div.view:has(> i.photo) {
                    line-height: 1rem;
                    > i.photo {
                        display: inline-block;
                        width: 24px;
                        height: 24px;
                        margin-top: -0.25rem;
                        margin-bottom: -0.25rem;
                        margin-right: 5px;
                        vertical-align: top;
                        border-radius: 50%;
                        border: 1px solid #ccc;
                        background-size: contain;
                        background-repeat: no-repeat;
                        background-position: 50% 50%;
                    }
                }
                div.view:has(> span.ment) {
                    display: flex;
                    justify-content: space-between;
                    span {
                        flex-shrink: 1;
                        min-width: 0;
                        text-overflow: ellipsis;
                        white-space: nowrap;
                        overflow: hidden;
                    }
                    span.ment {
                        display: flex;
                        height: 100%;
                        flex-shrink: 0;
                        align-items: flex-end;
                        &::before {
                            font-family: moimz;
                            content: '\ed72';
                            font-size: calc(var(--aui-component-inset) + var(--aui-component-gap) * 2);
                            color: var(--aui-accent-primary);
                        }
                        > i {
                            min-width: var(--aui-line-height-small);
                            min-height: var(--aui-line-height-small);
                            width: var(--aui-line-height-small);
                            height: var(--aui-line-height-small);
                            border-radius: var(--aui-component-gap);
                            font-style: normal;
                            text-align: center;
                            font-size: var(--aui-font-size-small);
                            background: var(--aui-accent-primary);
                            color: var(--aui-white-primary);
                            display: flex;
                            justify-content: center;
                            align-items: center;
                            margin-left: -8px;
                        }
                    }
                }
                &.DONE,
                &.COMPLETED,
                &.END {
                    padding: 3px 6px;
                    div.view {
                        padding: 0px;
                        padding-top: 3px;
                        height: 100%;
                        border-radius: 12px;
                    }
                }
                &.DONE {
                    div.view {
                        background: var(--desk-issue-status-done-background-color);
                        color: var(--desk-issue-status-done-color);
                    }
                }
                &.COMPLETED {
                    div.view {
                        background: var(--desk-issue-status-completed-background-color);
                        color: var(--desk-issue-status-completed-color);
                    }
                }
                &.END {
                    div.view {
                        color: rgb(172, 172, 172);
                    }
                    &.CONFIRMED {
                        display: flex;
                        &::before {
                            width: 1rem;
                            content: ' ';
                        }
                        &::after {
                            min-width: 1rem;
                            min-height: 1rem;
                            width: 1rem;
                            height: 1rem;
                            margin-top: 5px;
                            display: flex;
                            justify-content: center;
                            align-items: center;
                            background: var(--aui-accent-primary);
                            content: ' ';
                            border-radius: 50%;
                            font-family: moimz;
                            color: var(--aui-white-primary);
                            font-size: var(--aui-font-size-small);
                        }
                        &.GOOD {
                            &::after {
                                content: '\e404';
                            }
                        }
                        &.BAD {
                            &::after {
                                content: '\e405';
                            }
                        }
                    }
                }
                &.RESPONSED,
                &.REQUESTED {
                    display: flex;
                    &::after {
                        width: calc(var(--aui-component-height-default) - var(--aui-component-gap));
                        font-size: var(--aui-font-size-default);
                        font-family: moimz;
                        line-height: var(--aui-component-height-default);
                        text-align: center;
                        color: var(--aui-white-primary);
                    }
                    &.RESPONSED {
                        background: var(--desk-issue-response-color) !important;
                        &::after {
                            content: '\e202';
                            background: var(--desk-issue-response-deep-color);
                        }
                    }
                    &.REQUESTED {
                        background: var(--desk-issue-request-color) !important;
                        &::after {
                            content: '\e201';
                            background: var(--desk-issue-request-deep-color);
                        }
                    }
                }
                > div.view {
                    > small {
                        line-height: 1;
                    }
                }
            }
        }
    }
    aui-component[data-type='panel'][data-variant='panel'] {
        aui-component[data-type='toolbar'][data-variant='toolbar'].top {
            aui-component[data-type='field'][data-variant='display'] {
                div[data-role='container']:has(label) {
                    label {
                        margin-right: 4px;
                        width: calc(var(--aui-component-height-default) - var(--aui-component-inset));
                        i {
                            display: block;
                            margin-top: 2px;
                            height: calc(var(--aui-component-height-default) - var(--aui-component-inset));
                            font-size: var(--aui-font-size-large);
                            line-height: calc(var(--aui-component-height-default) - var(--aui-component-inset) * 1.5);
                            text-align: center;
                            border-radius: 5px;
                            color: var(--aui-text-tertiary);
                            background: var(--aui-fill-quaternary-alpha);
                            border: 1px solid var(--aui-border-primary);
                            &.mi-message-chat {
                                background: var(--aui-accent-primary);
                                color: var(--aui-white-primary);
                            }
                        }
                    }
                    i.photo {
                        display: inline-block;
                        width: calc(var(--aui-component-height-default) - 4px);
                        height: calc(var(--aui-component-height-default) - 4px);
                        margin-block: calc(var(--aui-component-gap) * -1 + 2px);
                        margin-right: 5px;
                        vertical-align: top;
                        border-radius: 50%;
                        border: 1px solid #ccc;
                        background-size: contain;
                        background-repeat: no-repeat;
                        background-position: 50% 50%;
                    }
                }
            }
            aui-component[data-type='field'][data-variant='input'][data-input-variant='select'] {
                > div[data-role='container'] {
                    &:has(label) {
                        label {
                            width: calc(var(--aui-component-height-default));
                            i {
                                display: block;
                                height: calc(var(--aui-component-height-default));
                                font-size: var(--aui-font-size-large);
                                line-height: calc(var(--aui-component-height-default) - var(--aui-component-inset));
                                text-align: center;
                                color: var(--aui-text-tertiary);
                                border-radius: 5px 0px 0px 5px;
                                background: var(--aui-fill-quaternary-alpha);
                                border: 1px solid var(--aui-border-primary);
                                border-right-width: 0px;
                                &.mi-message-chat {
                                    background: var(--aui-accent-secondary);
                                    color: var(--aui-white-primary);
                                }
                            }
                        }
                        &.expand {
                            label {
                                i {
                                    border-color: var(--aui-accent-primary);
                                    background: var(--aui-accent-primary);
                                    color: var(--aui-white-primary);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    div[data-role='issue'] {
        font-size: var(--aui-font-size-default);
        div[data-role='wysiwyg-content'] {
            padding: 20px;
            line-height: 1.8 !important;
            user-select: text;
            -webkit-user-select: text;
            -ms-user-select: text;
        }
    }
    div[data-role='history'] {
        padding: var(--desk-history-padding);
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        gap: var(--desk-history-icon-gap);
        position: relative;
        &:first-child {
            border-top: 1px dotted var(--desk-history-line-color);
        }
        &:last-child {
            &::before {
                height: 20px;
            }
        }
        &::before {
            position: absolute;
            left: calc(var(--desk-history-icon) / 2 - 1px + var(--desk-history-padding));
            top: 0;
            width: 2px;
            background: var(--desk-history-line-color);
            height: 100%;
            content: ' ';
        }
        > i[data-role='icon'] {
            display: flex;
            justify-content: center;
            align-items: center;
            &.EDIT {
                background: #ffc107;
                &::before {
                    content: '\e411';
                }
            }
            &.STATUS {
                background: #8bc34a;
                &::before {
                    content: '\e752';
                }
            }
            &.ASSIGN {
                background: #2196f3;
                &::before {
                    content: '\e603';
                }
            }
            &.TICKET {
                background: #9c27b0;
                &::before {
                    content: '\e607';
                }
            }
            &.GROUP {
                background: #3f51b5;
                &::before {
                    content: '\e423';
                }
            }
            &.PRIORITY {
                background: #f44336;
                &::before {
                    content: '\e703';
                }
            }
            &.TURN {
                background: #f44336;
                &::before {
                    content: '\e431';
                }
            }
            &.CONFIRM {
                background: #2196f3;
                &::before {
                    content: '\e413';
                }
            }
            &.MENT {
                background-size: cover;
                background-position: 50% 50%;
                border: 1px solid var(--desk-history-line-color);
                position: relative;
                &.mine {
                    border: 2px solid var(--desk-history-accent-color);
                    &::after {
                        position: absolute;
                        right: -5px;
                        bottom: -5px;
                        width: 20px;
                        height: 20px;
                        font-size: 12px;
                        background: var(--desk-history-accent-color);
                        color: var(--desk-history-accent-backward);
                        text-align: center;
                        line-height: 20px;
                        content: '나';
                        border-radius: 50%;
                    }
                }
            }
        }
        > div[data-role='content'] {
            display: flex;
            flex-direction: column;
            align-items: stretch;
            flex-grow: 1;
            flex-shrink: 1;
            overflow: hidden;
            > div[data-role='header'] {
                line-height: calc(var(--desk-history-block-height) - var(--desk-history-gap) * 2);
                padding-block: var(--desk-history-gap);
                > time {
                    display: inline-block;
                    width: fit-content !important;
                    line-height: calc(var(--desk-history-block-height) - var(--desk-history-gap) * 2);
                    color: var(--desk-history-text-secondary);
                    font-size: var(--desk-font-size-secondary);
                    margin-right: 8px;
                    &::before {
                        content: '[';
                    }
                    &::after {
                        content: ']';
                    }
                }
                > span {
                    > small {
                        color: var(--desk-history-text-secondary);
                    }
                }
                &:has(span[data-role='name']) {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    gap: var(--desk-history-gap);
                    > span[data-role='name'] {
                        > i {
                            display: none;
                        }
                        flex-shrink: 1;
                        flex-grow: 1;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        font-weight: 700;
                        > small {
                            font-weight: 400;
                            color: var(--desk-history-text-secondary);
                        }
                    }
                    > time {
                        flex-shrink: 0;
                        &::before,
                        &::after {
                            display: none;
                        }
                    }
                    > button {
                        flex-shrink: 0;
                        background: var(--desk-history-danger-color);
                        border: 0;
                        width: calc(var(--desk-history-block-height) - var(--desk-history-gap));
                        height: calc(var(--desk-history-block-height) - var(--desk-history-gap));
                        line-height: calc(var(--desk-history-block-height) - var(--desk-history-gap));
                        color: var(--desk-history-accent-backward);
                        font-size: var(--desk-font-size-primary);
                        margin-block: calc(var(--desk-history-gap) * -0.5);
                        font-family: moimz;
                        border-radius: 3px;
                        cursor: pointer;
                        &::before {
                            content: '\e414';
                            background: var(--desk-history-danger-color);
                        }
                        &:hover {
                            background: var(--desk-history-danger-hover-color);
                            &::before {
                                background: var(--desk-history-danger-hover-color);
                            }
                        }
                        &[disabled] {
                            cursor: not-allowed;
                            background: var(--desk-history-danger-color);
                            opacity: 0.5;
                        }
                    }
                }
            }
            > div[data-role='message'] {
                background: var(--desk-history-background-secondary);
                padding: var(--desk-history-padding);
                border-radius: 3px;
                line-height: 1.8;
                &:has(span[data-role='edit']) {
                    span[data-role] {
                        display: inline-block;
                        margin-block: calc(var(--desk-history-gap) / 2);
                        line-height: var(--desk-history-block-height);
                        &[data-role='origin'] {
                            color: var(--desk-history-text-secondary);
                        }
                        &[data-role='edit'] {
                            font-weight: 700;
                            position: relative;
                        }
                        &[data-role='origin'] + span[data-role='edit'] {
                            padding-left: 20px;
                            position: relative;
                            &::before {
                                position: absolute;
                                top: 0;
                                left: 0;
                                width: 20px;
                                height: 1lh;
                                text-align: center;
                                font-family: moimz;
                                content: '\e232';
                            }
                            &.before {
                                &::before {
                                    content: '\e231';
                                }
                            }
                        }
                        > i.photo {
                            width: calc(var(--desk-history-block-height) - var(--desk-history-gap));
                            height: calc(var(--desk-history-block-height) - var(--desk-history-gap));
                            margin-block: calc(var(--desk-history-gap) / 2);
                        }
                        > small {
                            font-weight: 400;
                            color: var(--desk-history-text-secondary);
                        }
                    }
                }
                &:has(div[data-role='wysiwyg-content']) {
                    margin-top: var(--desk-history-gap);
                    > div[data-role='wysiwyg-content'] {
                        padding: 0;
                    }
                    &.public {
                        background: var(--desk-history-public-color);
                        &::after {
                            display: block;
                            margin-top: var(--desk-history-padding);
                            width: 100%;
                            height: var(--desk-history-block-height);
                            line-height: var(--desk-history-block-height);
                            border-radius: 3px;
                            padding-inline: var(--desk-history-padding);
                            background: var(--desk-history-accent-color);
                            color: var(--desk-history-accent-backward);
                            box-sizing: border-box;
                            content: '이 댓글은 고객에게 공개되어 있습니다.';
                        }
                    }
                    &.issued_by {
                        background: var(--desk-history-public-color);
                        &::after {
                            display: block;
                            margin-top: var(--desk-history-padding);
                            width: 100%;
                            height: var(--desk-history-block-height);
                            line-height: var(--desk-history-block-height);
                            border-radius: 3px;
                            padding-inline: var(--desk-history-padding);
                            background: var(--desk-history-begining-color);
                            color: var(--desk-history-accent-backward);
                            box-sizing: border-box;
                            content: '이 댓글은 문의자가 작성한 댓글입니다.';
                        }
                    }
                }
                > div[data-role='buttons'] {
                    padding-top: var(--desk-history-padding);
                    display: flex;
                    flex-direction: row;
                    justify-content: flex-start;
                    gap: var(--desk-history-gap);
                    > button {
                        padding-inline: var(--desk-history-padding);
                        height: calc(var(--desk-history-block-height));
                        line-height: calc(var(--desk-history-block-height) - 2px);
                        border: 0;
                        cursor: pointer;
                        font-size: var(--desk-font-size-primary);
                        &[disabled] {
                            cursor: not-allowed;
                            opacity: 0.5;
                            &.loading {
                                position: relative;
                                color: transparent;
                                &::after {
                                    position: absolute;
                                    top: calc(50% - 10px);
                                    left: calc(50% - 10px);
                                    width: 20px;
                                    height: 20px;
                                    font-family: moimz;
                                    content: '\efff';
                                    text-align: center;
                                    line-height: 20px;
                                    z-index: 1;
                                    animation: mi-loading 2s infinite linear;
                                }
                            }
                        }
                        &[data-answer='YES'] {
                            background: var(--desk-history-accent-color);
                            color: var(--desk-history-accent-backward);
                            border: 1px solid var(--desk-history-accent-color);
                            &[disabled] {
                                &.loading {
                                    &::after {
                                        color: var(--desk-history-accent-backward);
                                    }
                                }
                            }
                        }
                        &[data-answer='NO'] {
                            background: var(--desk-history-background-primary);
                            color: var(--desk-history-text-primary);
                            border: 1px solid var(--desk-history-line-color);
                            &[disabled] {
                                &.loading {
                                    &::after {
                                        color: var(--desk-history-text-primary);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* /modules/naddle/hr/admin/styles/Admin.css */
aui-component[data-name='employees'] {
    aui-component[data-name='current'] {
        margin-bottom: 15px;
        div[data-role='header'] {
            background: var(--aui-accent-quaternary);
            border-bottom: none;
            div.header {
                div.title {
                    background: none;
                    &:hover {
                        background: none;
                    }
                }
            }
        }
        div[data-model='table'][data-role='group'] {
            background: none;
            div[data-model='table'][data-role='row'] {
                background: none;
                &:hover {
                    background: none;
                    div.column {
                        background: none;
                    }
                }
                &.focus {
                    background: none;
                    div.column {
                        background: none;
                    }
                }
                &.select {
                    background: none;
                    div.column {
                        background: none;
                    }
                }
                div.column {
                    background: none;
                    padding: 10px;
                    align-self: center;
                    > div.view {
                        color: var(--aui-accent-primary);
                        font-weight: bold;
                    }
                    &.focus {
                        outline: none;
                        outline-offset: 0px;
                    }
                    &.status {
                        > div.view {
                            background: var(--aui-accent-quaternary);
                            color: var(--aui-accent-primary);
                            font-weight: bold;
                            border-radius: 5px;
                            padding: 10px;
                            text-align: center;
                        }
                    }
                }
            }
        }
    }
    aui-component[data-name='current_leaves'] {
        aui-component[data-name='accrued_leave_days'] {
            background: #e8eaf6;
            & > div[data-role='container'] {
                & > div[data-role='content'] {
                    input {
                        border: none;
                        background: none;
                        color: #1b237e;
                        font-weight: bold;
                        font-size: larger;
                    }
                }
            }
        }
        aui-component[data-name='used_leave_days'] {
            background: #ffeaf0;
            & > div[data-role='container'] {
                & > div[data-role='content'] {
                    > div {
                        color: #b71c1d;
                        font-weight: bold;
                        font-size: larger;
                    }
                }
            }
        }
        aui-component[data-name='remaining_leave_days'] {
            background: #e7f5e9;
            & > div[data-role='container'] {
                & > div[data-role='content'] {
                    > div {
                        color: #1c5f20;
                        font-weight: bold;
                        font-size: larger;
                    }
                }
            }
        }
    }
    aui-component[data-name='leave_request'] {
        div[data-role='row'] {
            div.column {
                &.APPROVED {
                    div.view {
                        background: #e7f5e9;
                        color: #1c5f20;
                    }
                }
                &.REJECTED {
                    div.view {
                        background: #ffeaf0;
                        color: #b71c1d;
                    }
                }
            }
        }
    }
}

/* /modules/naddle/sales/admin/styles/Admin.css */

/* /modules/oauth/admin/styles/Admin.css */
aui-component[data-name='oauth-tokens'] {
    &[data-type='panel'][data-variant='grid'] {
        div[data-role='row'] {
            div.column {
                div.view:has(> i.photo) {
                    line-height: 1rem;
                    > i.photo {
                        display: inline-block;
                        width: 24px;
                        height: 24px;
                        margin-top: -0.25rem;
                        margin-bottom: -0.25rem;
                        margin-right: 5px;
                        vertical-align: top;
                        border-radius: 50%;
                        border: 1px solid #ccc;
                        background-size: contain;
                        background-repeat: no-repeat;
                        background-position: 50% 50%;
                    }
                }
            }
        }
    }
}
